Loading...
Searching...
No Matches
Prefetch.h File Reference

Defines the lowering pass that injects prefetch calls when prefetching appears in the schedule. More...

`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::inject_placeholder_prefetch (const Stmt &s, const std::map< std::string, Function > &env, const std::string &prefix, const std::vector< PrefetchDirective > &prefetches)
| Inject placeholder prefetches to 's'.
Stmt | Halide::Internal::inject_prefetch (const Stmt &s, const std::map< std::string, Function > &env)
| Compute the actual region to be prefetched and place it to the placholder prefetch.
Stmt | Halide::Internal::reduce_prefetch_dimension (Stmt stmt, const Target &t)
| Reduce a multi-dimensional prefetch into a prefetch of lower dimension (max dimension of the prefetch is specified by target architecture).
Stmt | Halide::Internal::hoist_prefetches (const Stmt &s)
| Hoist all the prefetches in a Block to the beginning of the Block.

## Detailed Description

Defines the lowering pass that injects prefetch calls when prefetching appears in the schedule.

Definition in file Prefetch.h.